<template>
  <div class="overflow-hidden">

    <!-- hero -->
    <div class="hero flexContainer col w-full items-center flex-col justify-center">

      <image-comp source="avatar.png"
                  alt="Thomas Sanlis avatar"
                  width="'auto'"
                  height="'auto'"
                  class="h-54" />

      <div class="title mt-8">
        <h1 class="inline relative sm:text-4xl text-6xl">{{ $t('hero.title') }}</h1>
      </div>

      <div class="subtitle pt-6 sm:text-2xl sm:pt-8 text-3xl">
        {{ $t('hero.subtitle') }}
      </div>

      <button class="btn btn-blue trans text-2xl"
              tag="button"
              v-scroll-to="{
                el: '#work',
                offset: -100
              }">
        {{ $t('hero.button') }}
      </button>

    </div>
    <!-- End hero -->

    <!-- Work -->
    <div id="work"
         class="work flexContainer pb-16">

      <div class="title mt-8 mx-auto">
        <h1>
          {{ $t('work.title') }}
        </h1>
      </div>

      <div class="subtitle mt-6">
        {{ $t('work.subtitle') }}
      </div>

      <div class="flex flex-wrap justify-between mt-12">

        <nuxt-link v-for="project in projects"
                   :key="project.slug"
                   tag="div"
                   :to="'/work/' + project.slug"
                   class="mt-6 py-32 px-12 project flex items-center justify-center rounded cursor-pointer text-center"
                   :class="['bg-' + project.slug]"
                   @mouseenter.native="workHover"
                   @mouseleave.native="workLeaving">

          <image-comp :source="'projects/' + project.slug + '/' + project.slug + '.png'"
                      :alt="'Project' + project.slug + 'image'"
                      width="'100%'"
                      height="'auto'"
                      class="rounded w-2/3" />

        </nuxt-link>

      </div>

    </div>
    <!-- End Work -->

  </div>
</template>

<script>
import projects from '~/data/projects'

export default {
  head() {
    return {
      title: 'Home',
      meta: [{ hid: 'description', name: 'description', content: 'Welcome' }]
    }
  },
  mounted() {
    var tl = this.$anime.timeline({
      duration: 900,
      delay: -400,
      elasticity: 1000,
    })
    tl
      .add({
        opacity: 0,
        scale: 0.8,
        targets: '.hero'
      }, 0)
      .add({
        opacity: 1,
        scale: 1,
        targets: '.hero'
      })
  },
  data() {
    return {
      projects: projects
    }
  },
  methods: {
    workHover(event) {
      this.$anime.remove(event.target)
      this.$anime({
        scale: 1.02,
        duration: 800,
        elasticity: 400,
        targets: event.target
      })
    },
    workLeaving(event) {
      this.$anime.remove(event.target)
      this.$anime({
        scale: 1.0,
        duration: 600,
        elasticity: 300,
        targets: event.target
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.project {
  width: calc(50% - 0.75rem);
  @screen sm {
    width: 100%;
  }

  @screen xl {
    &:nth-child(even) {
      @apply ml-3;
    }
    &:nth-child(odd) {
      @apply mr-3;
    }
  }
}
</style>
